FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202108311835.p0.git.2a8963a.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202108311835.p0.git.2a8963a.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=2a8963a OS_GIT_VERSION=4.7.0-202108311835.p0.git.2a8963a.assembly.stream-2a8963a SOURCE_DATE_EPOCH=1627517918 SOURCE_GIT_COMMIT=2a8963a9c5755d4951d882bd816cd4d6ccdf02cd SOURCE_GIT_TAG=v0.0.0-alpha.0-381-g2a8963a9 SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-controller-manager-operator 
WORKDIR /go/src/github.com/openshift/cluster-openshift-controller-manager-operator
COPY . .
RUN make

FROM openshift/ose-base:v4.7.0.20210831.184721
ENV __doozer=update BUILD_RELEASE=202108311835.p0.git.2a8963a.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202108311835.p0.git.2a8963a.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=2a8963a OS_GIT_VERSION=4.7.0-202108311835.p0.git.2a8963a.assembly.stream-2a8963a SOURCE_DATE_EPOCH=1627517918 SOURCE_GIT_COMMIT=2a8963a9c5755d4951d882bd816cd4d6ccdf02cd SOURCE_GIT_TAG=v0.0.0-alpha.0-381-g2a8963a9 SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-controller-manager-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-openshift-controller-manager-operator/cluster-openshift-controller-manager-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_50_cluster-openshift-controller-manager-operator_02_config.crd.yaml /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-openshift-controller-manager-operator" \
        com.redhat.component="ose-cluster-openshift-controller-manager-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="openshift-controller-manager" \
        release="202108311835.p0.git.2a8963a.assembly.stream" \
        io.openshift.build.commit.id="2a8963a9c5755d4951d882bd816cd4d6ccdf02cd" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-openshift-controller-manager-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-openshift-controller-manager-operator/commit/2a8963a9c5755d4951d882bd816cd4d6ccdf02cd" \
        version="v4.7.0"

